# frozen_string_literal: true

require 'spec_helper'

describe Balboa::Schedule do
  it 'saves all shift attributes' do
    schedule = described_class.new(8, 12, 13, 17)

    expect(schedule).not_to be_nil
  end

  it 'responds to start_at' do
    schedule = described_class.new(8, 12, 13, 17)

    expect(schedule.start_at).to eq(8)
  end

  it 'responds to lunch_at' do
    schedule = described_class.new(8, 12, 13, 17)

    expect(schedule.lunch_at).to eq(12)
  end

  it 'responds to restart_at' do
    schedule = described_class.new(8, 12, 13, 17)

    expect(schedule.restart_at).to eq(13)
  end

  it 'responds to leave_at' do
    schedule = described_class.new(8, 12, 13, 17)

    expect(schedule.leave_at).to eq(17)
  end
end
